use crate::*;

/// submit a certification and track progress
pub async fn certify(data: &Data, receiver: IdtyId) -> Result<(), anyhow::Error> {
	let progress = submit_call(data, &runtime::tx().certification().add_cert(receiver)).await?;
	if data.args.no_wait {
		return Ok(());
	}
	let events = track_progress(progress).await?;
	// look for the expected event
	look_event::<runtime::certification::events::CertAdded>(data, &events)?;
	look_event::<runtime::certification::events::CertRenewed>(data, &events)?;
	Ok(())
}
